clang-tools 10.0.0

Public Member Functions | List of all members
clang::include_fixer::IncludeFixerActionFactory Class Reference

`#include <IncludeFixer.h>`

Inheritance diagram for clang::include_fixer::IncludeFixerActionFactory:
[legend]
Collaboration diagram for clang::include_fixer::IncludeFixerActionFactory:
[legend]

## Public Member Functions
| IncludeFixerActionFactory (SymbolIndexManager &SymbolIndexMgr, std::vector< IncludeFixerContext > &Contexts, StringRef StyleName, bool MinimizeIncludePaths=true)
| ~IncludeFixerActionFactory () override
bool | runInvocation (std::shared_ptr< clang::CompilerInvocation > Invocation, clang::FileManager *Files, std::shared_ptr< clang::PCHContainerOperations > PCHContainerOps, clang::DiagnosticConsumer *Diagnostics) override

## Detailed Description

Definition at line 30 of file clang-include-fixer/IncludeFixer.h.

## Constructor & Destructor Documentation

## ◆ IncludeFixerActionFactory()

clang::include_fixer::IncludeFixerActionFactory::IncludeFixerActionFactory | ( | SymbolIndexManager & | SymbolIndexMgr,
|  | std::vector< IncludeFixerContext > & | Contexts,
|  | StringRef | StyleName,
|  | bool | MinimizeIncludePaths = `true`
| ) |  |

Parameters

  SymbolIndexMgr | A source for matching symbols to header files.
  Contexts | The contexts for the symbols being queried.
  StyleName | Fallback style for reformatting.
  MinimizeIncludePaths | whether inserted include paths are optimized.

Definition at line 74 of file clang-include-fixer/IncludeFixer.cpp.

References ~IncludeFixerActionFactory().

## ◆ ~IncludeFixerActionFactory()

clang::include_fixer::IncludeFixerActionFactory::~IncludeFixerActionFactory | ( |  | ) |
| override default

Referenced by IncludeFixerActionFactory().

## Member Function Documentation

## ◆ runInvocation()

bool clang::include_fixer::IncludeFixerActionFactory::runInvocation | ( | std::shared_ptr< clang::CompilerInvocation > | Invocation,
|  | clang::FileManager * | Files,
|  | std::shared_ptr< clang::PCHContainerOperations > | PCHContainerOps,
|  | clang::DiagnosticConsumer * | Diagnostics
| ) |  |
| override

Definition at line 83 of file clang-include-fixer/IncludeFixer.cpp.

The documentation for this class was generated from the following files:

- clang-include-fixer/IncludeFixer.h
- clang-include-fixer/IncludeFixer.cpp